Subject: bug#50860: closed (Re: bug#50830: [core-updates-frozen] glibc looks for $sysconfdir/etc/localtime rather than /etc/localtime)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Sep 2021 14:37:03 +0000

Your bug report

#50860: Core-updates-frozen world rebuild coordination

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50860: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50860
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50830: [core-updates-frozen] glibc looks for $sysconfdir/etc/localtime rather than /etc/localtime
From: Leo Famulari <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: John Kehayias <[email-masked]>, "[email-masked]" <[email-masked]>, [email-masked]
Date: Wed, 29 Sep 2021 10:35:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Sep 28, 2021 at 11:25:45AM +0200, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> 
> > On Mon, Sep 27, 2021 at 11:08:58PM +0200, Ludovic Courtès wrote:
> >> So here’s a patch to fix it, and another one to do a minor cleanup
> >> operation.
> >
> > I created a "tracking bug" to coordinate rebuilding the world:
> >
> > <https://bugs.gnu.org/50860>
> 
> There was already <https://issues.guix.gnu.org/50358>, and I made this
> bug a blocker.  I’ll email guix-devel so we can coordinate.

Oh, my mistake. I hadn't noticed that #50358 was about more than the
Rust bootstrap. I'm closing my duplicated bug.

Subject: Core-updates-frozen world rebuild coordination
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 27 Sep 2021 19:07:45 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

For the current core-updates cycle, there is some talk of "rebuilding
the world" to fix <https://bugs.gnu.org/50830> "glibc looks for
$sysconfdir/etc/localtime rather than /etc/localtime".

We can also include the shortened Rust bootstrap and the tzdata update,
respectively:

<https://bugs.gnu.org/50358>
<https://bugs.gnu.org/50859>

How does that sound?